{% extends "layouts/base.html" %}
{% load static %}

{% block content %}
<div class="page-api-specification">
    <div class="container">
        <div class="header-bar mb-sm">
            <h1>{{ title }}</h1>
            {% if specification_error %}
            {% else %}
            <a href="{{ environment.specification_url }}"
                target="_blank"
                rel="noopener noreferrer">Originele specificatie{{ specification_link_suffix }}
                <img src="{% static 'images/icons/external-link.svg' %}" width="16" height="16" alt="">
            </a>
            {% endif %}
        </div>
        <h2 class="subtitle mb-lg">{{ api.organization.name }}</h2>
    </div>
    {% if specification %}
    <h2 class="docs-title">API documentatie</h2>
    <div id="specification-wrapper"></div>
    <noscript>
        <h2>JavaScript niet beschikbaar</h2>
        <p>JavaScript is vereist om de specificatie te tonen.</p>
    </noscript>
    {% else %}
    <div class="container mb-xl">
        <h2 class="mb-3">Specificatie niet beschikbaar</h2>
        <p class="mb-2">De specificatie kan niet geladen worden.</p>
        <p class="mb-4">URL: <a target="_blank" href="{{ environment.specification_url }}">{{ environment.specification_url }}</a></p>
        {% if specification_error %}
        <h3 class="mb-3 mt-5">Foutmelding</h3>
        <code class="code code--black">{{ specification_error }}</code>
        {% endif %}
    </div>
    {% endif %}
</div>
{% endblock %}

{% block tail %}
{% if specification %}
<script src="{% static 'vendor/redoc.standalone-2.0.0.js' %}"></script>
{{ specification|json_script:"specification" }}
<script src="{% static 'dist/api-specification.js' %}"></script>
{% endif %}
    {% endblock %}
